Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields | Protected Attributes
Lucene::ByteSliceWriter Class Reference

Class to write byte streams into slices of shared byte[]. This is used by DocumentsWriter to hold the posting list for many terms in RAM. More...

`#include <ByteSliceWriter.h>`

Inheritance diagram for Lucene::ByteSliceWriter:

## Public Member Functions

| ByteSliceWriter (const ByteBlockPoolPtr &pool)
virtual | ~ByteSliceWriter ()
virtual String | getClassName ()
boost::shared_ptr< ByteSliceWriter > | shared_from_this ()
void | init (int32_t address)
| Set up the writer to write at address.
void | writeByte (uint8_t b)
| Write byte into byte slice stream.
void | writeBytes (const uint8_t *b, int32_t offset, int32_t length)
int32_t | getAddress ()
void | writeVInt (int32_t i)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

int32_t | offset0

## Protected Attributes

ByteArray | slice
int32_t | upto
ByteBlockPoolPtr | pool
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

Class to write byte streams into slices of shared byte[]. This is used by DocumentsWriter to hold the posting list for many terms in RAM.

## Constructor & Destructor Documentation

## ◆ ByteSliceWriter()

Lucene::ByteSliceWriter::ByteSliceWriter | ( | const ByteBlockPoolPtr & | pool | ) |

## ◆ ~ByteSliceWriter()

virtual Lucene::ByteSliceWriter::~ByteSliceWriter | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::ByteSliceWriter::_getClassName | ( |  | ) |

inline static

## ◆ getAddress()

int32_t Lucene::ByteSliceWriter::getAddress | ( |  | ) |

## ◆ getClassName()

virtual String Lucene::ByteSliceWriter::getClassName | ( |  | ) |

inline virtual

## ◆ init()

void Lucene::ByteSliceWriter::init | ( | int32_t | address | ) |

Set up the writer to write at address.

## ◆ shared_from_this()

boost::shared_ptr< ByteSliceWriter > Lucene::ByteSliceWriter::shared_from_this | ( |  | ) |

inline

## ◆ writeByte()

void Lucene::ByteSliceWriter::writeByte | ( | uint8_t | b | ) |

Write byte into byte slice stream.

## ◆ writeBytes()

void Lucene::ByteSliceWriter::writeBytes | ( | const uint8_t * | b,
|  | int32_t | offset,
|  | int32_t | length
| ) |  |

## ◆ writeVInt()

void Lucene::ByteSliceWriter::writeVInt | ( | int32_t | i | ) |

## Field Documentation

## ◆ offset0

int32_t Lucene::ByteSliceWriter::offset0

## ◆ pool

ByteBlockPoolPtr Lucene::ByteSliceWriter::pool

protected

## ◆ slice

ByteArray Lucene::ByteSliceWriter::slice

protected

## ◆ upto

int32_t Lucene::ByteSliceWriter::upto

protected

The documentation for this class was generated from the following file:

- ByteSliceWriter.h

clucene.sourceforge.net